<!DOCTYPE html>
<html>
<head>
<meta charset="UTF-8">
<meta name="viewport" content="width=device-width, initial-scale=1.0">
<title>Update database example</title>
<script>    function getURLValue(name)
    {
        name = name.replace(/[\[]/, "\\\[").replace(/[\]]/, "\\\]");
        let regexS = "[\\?&]" + name + "=([^&#]*)";
        let regex = new RegExp(regexS);
        let results = regex.exec(window.location.href);
        if (results === null)
        {
            return null;
        }
        else
        {
            return results[1];
        }
    }
</script>
</head>

<body>
<form action="update_transaction.php" method="post">
<label for="id">Id: </label>
<input type="text" id = "id" name = "id" required><br>
<label for="model">Model: </label>
<input type="text" id = "model" name = "model" required autofocus><br>
<label for="colour">Colour: </label>
<input type="text" id = "colour" name = "colour" required><br>
<label for="year">Year: </label>
<input type="number" id = "year" name = "year" min = "1990"><br>
<label for="price">Price: </label>
<input type="number" id = "price" name = "price" required><br>            
<input type="submit" value="Update Record">
</form>

<script>
    if (getURLValue('id') !== null)
    {
        document.getElementById('id').value = getURLValue('id');
        document.getElementById('model').value = getURLValue('model');
        document.getElementById('colour').value = getURLValue('colour');
        document.getElementById('year').value = getURLValue('year');
        document.getElementById('price').value = getURLValue('price');
    }
    
    // Set the current year and the maximum year to be the current year
    let currentYear = new Date();
    document.getElementById("year").value = currentYear.getFullYear();
    document.getElementById("year").max = currentYear.getFullYear();
</script>

</body>
</html>